<?php

namespace BigBite\Content_Query;

/**
 * Class responsible for registering rest routes
 */
class Rest_API {

	/**
	 * Class constructor
	 */
	public function __construct() {
		add_action( 'rest_api_init', [ $this, 'register_routes' ] );
	}

	/**
	 * Registers rest routes and endpoints for plugin dashboard functionality
	 *
	 * @return void
	 */
	public function register_routes(): void {
		$block_search = new Rest_API_Block_Search();
		$block_search->register_routes();

		$media_search = new Rest_API_Media_Search();
		$media_search->register_routes();

		$posts = new Rest_API_Posts();
		$posts->register_routes();

		$post_meta_search = new Rest_API_Post_Meta_Search();
		$post_meta_search->register_routes();

		if ( is_multisite() ) {
			$themes = new Rest_API_Themes();
			$themes->register_routes();

			$plugins = new Rest_API_Plugins();
			$plugins->register_routes();
		}
	}
}
