<?php

namespace BigBite\Content_Query;

use Error;

/**
 * Class responsible for registering plugin setup hooks
 */
class Setup {

	/**
	 * Class constructor
	 *
	 * @param string $file Filename and path of the plugin file
	 */
	public function __construct( $file ) {
		register_activation_hook( $file, [ $this, 'activate' ] );
	}

	/**
	 * Plugin activation function.
	 *
	 * @throws Error If constants are undefined
	 *
	 * @return void
	 */
	public function activate(): void {
		if (
			! defined( 'CONTENT_QUERY_DASHBOARD_JS' ) ||
			! defined( 'CONTENT_QUERY_DASHBOARD_CSS' ) ||
			! defined( 'CONTENT_QUERY_VERSION' )

		) {
			throw new Error( 'Asset constants are not defined. You may need to run an asset build.' );
		}
	}
}
